pydo.databases.get_config()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.databases.get_config(
    database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
)
Returns JSONRaises HttpResponseError

Description

Shows configuration parameters for an existing database cluster by sending a GET request to /v2/databases/{database_cluster_uuid}/config. The response is a JSON object with a config key, which is set to an object containing any database configuration parameters.

Parameters

database_cluster_uuid string required

A unique identifier for a database cluster.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

get_resp = client.databases.get_config(database_cluster_uuid="a7a90ab")

Response Example

Show Response Example
{
  "config": {
    "sql_mode": "ANSI,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION,NO_ZERO_DATE,NO_ZERO_IN_DATE,STRICT_ALL_TABLES",
    "sql_require_primary_key": true
  }
}

More Information

See /v2/databases/{database_cluster_uuid}/config in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.